You are here: Home » Reply

Reply To: Promblem Playing FLAC files

#8637

rpedde
Participant

@removablebrain wrote:

Ron,

Is it best to install the latest dmg from the nightlies, then build from source (as instructed above) if I want to get flac transcodes & the prefpane to work?

That’s probably the “cheater” way to do it. Use fink or darwinports to install libflac, libvorbisfile, libogg, and flac. Then build your own version using “–enable-flac”. Then you can swap the binary you built with the binary in the dmg, and everything will work.

I did do some research on this — building static libs looks *really* *ugly*. I did see that xiph has a universal framework for flac 1.1.2, so I might see if I can get it compiled with that.

Still a while off, though – I have to fix breakage from the release of Visduh.

— Ron